| Home | Libraries | People | FAQ | More

# Integer_Socket_Option Class Reference

Inherits Socket_Option.

Inheritance diagram for Integer_Socket_Option:

List of all members.

## Detailed Description

Integer_Socket_Option concept.

Implemented By:
  boost::asio::socket_base::send_buffer_size
  boost::asio::socket_base::send_low_watermark
  boost::asio::socket_base::receive_buffer_size
  boost::asio::socket_base::receive_low_watermark
  boost::asio::ipv4::multicast::time_to_live

## Public Member Functions

| Integer_Socket_Option ()
| Default constructor initialises contained value to 0.
| Integer_Socket_Option (int value)
| Construct with a specific option value.
void | set (int value)
| Set the value of the integer option.
int | get () const
| Get the current value of the integer option.
template<typename Protocol>
int | level (const Protocol &protocol) const
| Get the level of the socket option.
template<typename Protocol>
int | name (const Protocol &protocol) const
| Get the name of the socket option.
template<typename Protocol>
implementation_defined | data (const Protocol &protocol)
| Get a pointer to the socket option data.
template<typename Protocol>
implementation_defined | data (const Protocol &protocol) const
| Get a pointer to the socket option data.
template<typename Protocol>
std::size_t | size (const Protocol &protocol) const
| Get the size of the socket option data in bytes.

## Constructor & Destructor Documentation

Integer_Socket_Option::Integer_Socket_Option | ( |  | ) |

Default constructor initialises contained value to 0.

Integer_Socket_Option::Integer_Socket_Option | ( | int | value | ) |

Construct with a specific option value.

## Member Function Documentation

void Integer_Socket_Option::set | ( | int | value | ) |

Set the value of the integer option.

int Integer_Socket_Option::get | ( |  | ) | const

Get the current value of the integer option.

template<typename Protocol>

int Socket_Option::level | ( | const Protocol & | protocol | ) | const`[inherited]`

Get the level of the socket option.

template<typename Protocol>

int Socket_Option::name | ( | const Protocol & | protocol | ) | const`[inherited]`

Get the name of the socket option.

template<typename Protocol>

implementation_defined Socket_Option::data | ( | const Protocol & | protocol | ) | `[inherited]`

Get a pointer to the socket option data.

template<typename Protocol>

implementation_defined Socket_Option::data | ( | const Protocol & | protocol | ) | const`[inherited]`

Get a pointer to the socket option data.

template<typename Protocol>

std::size_t Socket_Option::size | ( | const Protocol & | protocol | ) | const`[inherited]`

Get the size of the socket option data in bytes.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff